%define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%define python_incdir %(%{__python} -c "from distutils.sysconfig import get_python_inc; print get_python_inc()")

Summary: Python wrapper for the Ogg libraries
Name: python-ogg
Version: 1.3
Release: 5%{?dist}
License: LGPL
Group: Development/Languages
URL: http://ekyo.nerim.net/software/pyogg/
Source: http://ekyo.nerim.net/software/pyogg/pyogg-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: python-devel, libogg-devel

%description
An object-oriented Python binding for the Ogg libraries. Ogg is a
multimedia bitstream format. With this you can write your own python
applications to play and encode audio files in Ogg format.


%package devel
Summary: Development files for the Ogg libraries Python wrapper
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: python-devel, libogg-devel

%description devel
This package contains development files required to build applications which
will use python-ogg, a Python wrapper for the Ogg libraries.


%prep
%setup -q -n pyogg-%{version}


%build
%{__python} config_unix.py
CFLAGS="%{optflags}" %{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{python_sitearch}/ogg/

%files devel
%defattr(-,root,root,-)
%{python_incdir}/pyogg/pyogg.h


%changelog
* Fri Mar  2 2007 Matthias Saou <http://freshrpms.net/> 1.3-5
- Use new URL and source location.
- Add python-devel requirement to the devel since it #includes Python.h.
- Remove no longer needed explicit python-abi requirement.
- Simplify %%files section.
- Spec file (quick) re-review and cleanup following ownership change.

* Fri Dec 22 2006 Jef Spaleta <jspaleta@gmail.com> 1.3-4
- Rebuilt for python 2.5 in development tree

* Wed Sep 13 2006 Hugo Cisneiros <hugo@devin.com.br> 1.3-3
- Rebuilt for FC6
- Not excluding pyo files with ghost per Guidelines

* Thu May 25 2006 Hugo Cisneiros <hugo@devin.com.br> 1.3-2
- Forked the package with a -devel one including the header.

* Fri May 19 2006 Hugo Cisneiros <hugo@devin.com.br> 1.3-1
- Initial RPM release

